SPONSORS:






User Tag List

Results 1 to 5 of 5
  1. #1
    Member
    Join Date
    Dec 2000
    Location
    India
    Posts
    44
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Compatibility Testing Using Silk Test

    I have a situation here. I need to automate test cases of a web application and should be able to run them on various browsers (IE 4.x, IE 5.0, IE 5.5, IE 6.0, Netscape 4.x and Netscape 6.x all of them!). I scripted few test scripts and was able to run them sucessfully on IE 5.5.

    When I tried to run the same scripts on Netscape 4.77, the scritps fails. Further debugging, I realized that the window declarations on Netscape 4.77 is different than that in IE 5.5.

    When I tried to run on Netscape 6.x, a message box with title as "netscp6.exe - Entry Point Not Found" is displayed with the following message in it. "The procedure entry point ?Right@nsString@@QBEIAAV1@H@Z could not be located in the dynamic link library xpcom.dll". I need to click on OK manay times before closing the message box. Finally Silk Test displays the following error message.

    *** Error: Window '[ComboBox]$urlbar' was not found.
    Occurred in DoClick.
    Called from Browser.Location.SetText at browser.inc(259)
    Called from Browser.LoadPage at browser.inc(364)
    Called from IESO_FU_25 at ieso_main_fu.t(956)

    Looking at the above, I am not sure whether I am doing things right or using the right tool or not.

    The objective of automation in my case is to write a script and run on all the browsers. Thus reducing time to market
    1. While testing and
    2. While scripting.
    But here it seems to me that I need to script for each of the above browsers.

    Do I need to look into any other tool? Does anyone have suggestion for me.

    ------------------

  2. #2
    Super Member
    Join Date
    Jul 2001
    Location
    Earth
    Posts
    1,882
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Compatibility Testing Using Silk Test

    You have found that the object recognition is different from browser to browser AND from versions of browsers. The cost/benefit of having a set of scripts that can run on all browsers is debatable. It would be nice, but it is a LOT of work. You may want to focus the automation on the functional tests of one browser by picking the one that is used the most. For the compatability testing you could focus on a small subset of functions and make them cross-browser compatible, or manually test those few cases.

    If you go through your server logs you may find that some of these browsers are hardly ever used on your system and that the time to automate these browsers isn't worth it when you can simply state to your users that your site is best viewed with <place browser name here>.

    ------------------
    James Soderborg
    http://www.ameliortech.com
    jamesso@ameliortech.com

  3. #3
    Member
    Join Date
    Dec 2000
    Location
    India
    Posts
    44
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Compatibility Testing Using Silk Test

    James, thanks a lot. That will help me to go in the right direction.

    Could you help me in resolving the error faced while running the scripts in netscape 6.x browser?

    ------------------

  4. #4
    Junior Member
    Join Date
    Aug 2001
    Posts
    5
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Compatibility Testing Using Silk Test

    The error is caused by the netscape version you were using ... the only version supported by Silk is 6.0. This really is a pity, as 6.0 is hardly ever used ...

    Any other version (as 6.1 or 6.2) will produce the message you encountered.



    ------------------

  5. #5
    Member
    Join Date
    Dec 2000
    Location
    India
    Posts
    44
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Compatibility Testing Using Silk Test

    Thanks Mike. That will help a lot. Because I have NS 6.1 and NS 6.2 both installed on my system. I will install only NS 6.0 and try again.

    ------------------

 

 

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

vBulletin Optimisation provided by vB Optimise v2.6.0 Beta 4 (Pro) - vBulletin Mods & Addons Copyright © 2016 DragonByte Technologies Ltd.
User Alert System provided by Advanced User Tagging v3.0.9 (Pro) - vBulletin Mods & Addons Copyright © 2016 DragonByte Technologies Ltd.
Questions / Answers Form provided by vBAnswers (Pro) - vBulletin Mods & Addons Copyright © 2016 DragonByte Technologies Ltd.
vBNominatevBulletin Mods & Addons Copyright © 2016 DragonByte Technologies Ltd.
Feedback Buttons provided by Advanced Post Thanks / Like (Pro) - vBulletin Mods & Addons Copyright © 2016 DragonByte Technologies Ltd.
Username Changing provided by Username Change (Free) - vBulletin Mods & Addons Copyright © 2016 DragonByte Technologies Ltd.
BetaSoft Inc.
Digital Point modules: Sphinx-based search
All times are GMT -8. The time now is 02:16 AM.

Copyright BetaSoft Inc.